DIPlib Documentation - ©1995-2009 Quantitative Imaging Group, Delft University of Technology.

# MeasurementFeatureDescription

Measurement Description access function

## SYNOPSIS

`#include "dip_measurement.h"`

dip_Error dip_MeasurementFeatureDescription ( measurement, featureID, description, resources )

## FUNCTION

The `MeasurementObjectData`, `MeasurementObjectValue`, `MeasurementObjectFormat`, `MeasurementFeatureLabels`, and `MeasurementFeatureDescription` functions provide access to the functions that are registered by each measurement function. See also `MeasurementFeatureRegister`. This function gives access to a structure containing the name, a short description of the measurement feature, as well as the labels and units of the data measured by the feature specified with `featureID`.

## ARGUMENTS

Data type | Name | Description
`dip_Measurement` | `measurement` | Measurement data structure
`dip_int` | `featureID` | Measurement feature ID
`dip_FeatureDescription *` | `description` | Pointer to a dip_FeatureDescription structure containing a description of the specified feature
`dip_Resources` | `resources` | Resources tracking structure. See `ResourcesNew`

## SEE ALSO

`MeasurementNew`, `MeasurementForge`, `MeasurementFeatureGetSize`, `MeasurementFeatures`, `MeasurementFeatureValid`, `MeasurementObjectGetSize`, `MeasurementObjects`, `MeasurementObjectValid`, `MeasurementObjectData`, `MeasurementObjectValue`, `MeasurementObjectFormat`

DIPlib on-line documentation | Function reference | Global function index